Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Package blocking when upgrading to KDE 3.4.2 [solved]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Duplicate Threads
View previous topic :: View next topic  
Author Message
aminalshmu
Tux's lil' helper
Tux's lil' helper


Joined: 13 Sep 2004
Posts: 78
Location: Tallahassee, Florida, USA

PostPosted: Mon Aug 01, 2005 4:26 pm    Post subject: Package blocking when upgrading to KDE 3.4.2 [solved] Reply with quote

Code:
jordan@jordan ~ $ sudo emerge -uDav kdegames

These are the packages that I would merge, in order:

Calculating dependencies ...done!
[blocks B     ] =kde-base/kcheckpass-3.4* (is blocking kde-base/kdebase-3.4.2)
[blocks B     ] =kde-base/kdebase-kioslaves-3.4* (is blocking kde-base/kdebase-3.4.2)
[blocks B     ] =kde-base/ksplashml-3.4* (is blocking kde-base/kdebase-3.4.2)
[blocks B     ] =kde-base/kdebase-startkde-3.4* (is blocking kde-base/kdebase-3.4.2)
[blocks B     ] =kde-base/khotkeys-3.4* (is blocking kde-base/kdebase-3.4.2)
[blocks B     ] =kde-base/konqueror-3.4* (is blocking kde-base/kdebase-3.4.2)
[blocks B     ] =kde-base/kscreensaver-3.4* (is blocking kde-base/kdebase-3.4.2)
[blocks B     ] =kde-base/kwin-3.4* (is blocking kde-base/kdebase-3.4.2)
[blocks B     ] =kde-base/kdialog-3.4* (is blocking kde-base/kdebase-3.4.2)
[blocks B     ] =kde-base/kreadconfig-3.4* (is blocking kde-base/kdebase-3.4.2)
[blocks B     ] =kde-base/kpersonalizer-3.4* (is blocking kde-base/kdebase-3.4.2)
[blocks B     ] =kde-base/libkonq-3.4* (is blocking kde-base/kdebase-3.4.2)
[blocks B     ] =kde-base/kdesktop-3.4* (is blocking kde-base/kdebase-3.4.2)
[blocks B     ] =kde-base/ksmserver-3.4* (is blocking kde-base/kdebase-3.4.2)
[blocks B     ] =kde-base/khelpcenter-3.4* (is blocking kde-base/kdebase-3.4.2)
[blocks B     ] =kde-base/kicker-3.4* (is blocking kde-base/kdebase-3.4.2)
[blocks B     ] =kde-base/nsplugins-3.4* (is blocking kde-base/kdebase-3.4.2)
[blocks B     ] =kde-base/kdebase-data-3.4* (is blocking kde-base/kdebase-3.4.2)
[blocks B     ] =kde-base/kcminit-3.4* (is blocking kde-base/kdebase-3.4.2)
[blocks B     ] =kde-base/kdesu-3.4* (is blocking kde-base/kdebase-3.4.2)
[blocks B     ] =kde-base/kdm-3.4* (is blocking kde-base/kdebase-3.4.2)
[blocks B     ] =kde-base/kcontrol-3.4* (is blocking kde-base/kdebase-3.4.2)
[blocks B     ] =kde-base/kdeprint-3.4* (is blocking kde-base/kdebase-3.4.2)
[ebuild  N    ] kde-base/kdebase-3.4.2  -arts +cups -debug -hal -ieee1394 +java +kdeenablefinal -ldap -lm_sensors -logitech-mouse -openexr +open
gl -pam +samba +ssl -xinerama 0 kB
[ebuild  N    ] kde-base/kdegames-3.4.2  -arts -debug +kdeenablefinal -xinerama 9,229 kB

Total size of downloads: 9,229 kB

!!! Error: The above package list contains packages which cannot be installed
!!!        on the same system.


Code:
jordan@jordan ~ $ equery l kde-base/
[ Searching for all packages in 'kde-base' among: ]
 * installed packages
[I--] [  ] kde-base/kcminit-3.4.1 (3.4)
[I--] [  ] kde-base/libkcddb-3.4.2 (3.4)
[I--] [  ] kde-base/kicker-3.4.2 (3.4)
[I--] [  ] kde-base/kscreensaver-3.4.2 (3.4)
[I--] [  ] kde-base/kdepim-kresources-3.4.1 (3.4)
[I--] [  ] kde-base/libkcal-3.4.1 (3.4)
[I--] [  ] kde-base/kdeprint-3.4.2 (3.4)
[I--] [  ] kde-base/ksplashml-3.4.2 (3.4)
[I--] [  ] kde-base/kuickshow-3.4.1 (3.4)
[I--] [  ] kde-base/kdm-3.4.2 (3.4)
[I--] [  ] kde-base/kpdf-3.4.2 (3.4)
[I--] [  ] kde-base/kpersonalizer-3.4.2 (3.4)
[I--] [  ] kde-base/kdeaddons-docs-konq-plugins-3.4.1 (3.4)
[I--] [  ] kde-base/certmanager-3.4.1 (3.4)
[I--] [  ] kde-base/kwin-3.4.2 (3.4)
[I--] [  ] kde-base/kdemultimedia-kioslaves-3.4.2 (3.4)
[I--] [  ] kde-base/nsplugins-3.4.2 (3.4)
[I--] [  ] kde-base/kode-3.4.1 (3.4)
[I--] [  ] kde-base/libkonq-3.4.2 (3.4)
[I--] [  ] kde-base/kdebase-data-3.4.2 (3.4)
[I--] [  ] kde-base/kreadconfig-3.4.1 (3.4)
[I--] [  ] kde-base/kdesu-3.4.1 (3.4)
[I--] [  ] kde-base/libkdenetwork-3.4.1 (3.4)
[I--] [  ] kde-base/khelpcenter-3.4.2 (3.4)
[I--] [  ] kde-base/kdeartwork-kscreensaver-3.4.2 (3.4)
[I--] [  ] kde-base/kdebase-startkde-3.4.2 (3.4)
[I--] [  ] kde-base/kolourpaint-3.4.2 (3.4)
[I--] [  ] kde-base/kde-env-3-r3 (0)
[I--] [  ] kde-base/ksmserver-3.4.1 (3.4)
[I--] [  ] kde-base/libkpimexchange-3.4.1 (3.4)
[I--] [  ] kde-base/kcheckpass-3.4.2 (3.4)
[I--] [  ] kde-base/khotkeys-3.4.2 (3.4)
[I--] [  ] kde-base/ark-3.4.2 (3.4)
[I--] [  ] kde-base/libkdepim-3.4.1 (3.4)
[I--] [  ] kde-base/konq-plugins-3.4.2 (3.4)
[I--] [  ] kde-base/kdialog-3.4.1 (3.4)
[I--] [  ] kde-base/kdenetwork-filesharing-3.4.2 (3.4)
[I--] [  ] kde-base/libkpgp-3.4.1 (3.4)
[I--] [  ] kde-base/kdelibs-3.4.2 (3.4)
[I--] [  ] kde-base/kcontrol-3.4.2 (3.4)
[I--] [  ] kde-base/kdesktop-3.4.2 (3.4)
[I--] [  ] kde-base/kdebase-kioslaves-3.4.2 (3.4)
[I--] [  ] kde-base/libkholidays-3.4.1 (3.4)
[I--] [  ] kde-base/konqueror-3.4.2 (3.4)
[I--] [  ] kde-base/libkpimidentities-3.4.1 (3.4)
[I--] [  ] kde-base/ktnef-3.4.1 (3.4)


what gives? i already unmerged half of my KDE system to try to get 3.4.2 to compile, should i just go ahead and destroy it all and just re-merge it package by package?

or is it just because all of the 3.4.2 ebuilds aren't ready yet that it won't build properly?


Last edited by aminalshmu on Tue Aug 02, 2005 1:35 am; edited 1 time in total
Back to top
View user's profile Send private message
firephoto
Veteran
Veteran


Joined: 29 Oct 2003
Posts: 1599
Location: +48° 5' 23.40", -119° 48' 30.00"

PostPosted: Mon Aug 01, 2005 6:14 pm    Post subject: Reply with quote

Code:

emerge kdegames-meta


You have split ebuilds installed, kdegames is not the split ebuild, each individual game would be. The above is what you want.

Code:

# emerge kdegames-meta -p

These are the packages that I would merge, in order:

Calculating dependencies ...done!
[ebuild  N    ] kde-base/libkdegames-3.4.2
[ebuild  N    ] kde-base/kbounce-3.4.2
[ebuild  N    ] kde-base/atlantik-3.4.2
[ebuild  N    ] kde-base/kpoker-3.4.2
[ebuild  N    ] kde-base/ksirtet-3.4.2
[ebuild  N    ] kde-base/kjumpingcube-3.4.2
[ebuild  N    ] kde-base/kpat-3.4.2
[ebuild  N    ] kde-base/klines-3.4.2
[ebuild  N    ] kde-base/ksnake-3.4.2
[ebuild  N    ] kde-base/kshisen-3.4.2
[ebuild  N    ] kde-base/kenolaba-3.4.2
[ebuild  N    ] kde-base/ksame-3.4.2
[ebuild  N    ] kde-base/kblackbox-3.4.2
[ebuild  N    ] kde-base/kgoldrunner-3.4.2
[ebuild  N    ] kde-base/kwin4-3.4.2
[ebuild  N    ] kde-base/kmines-3.4.2
[ebuild  N    ] kde-base/ksokoban-3.4.2
[ebuild  N    ] kde-base/kasteroids-3.4.2
[ebuild  N    ] kde-base/ktron-3.4.2
[ebuild  N    ] kde-base/kbattleship-3.4.2
[ebuild  N    ] kde-base/lskat-3.4.2
[ebuild  N    ] kde-base/kmahjongg-3.4.2
[ebuild  N    ] kde-base/kbackgammon-3.4.2
[ebuild  N    ] kde-base/konquest-3.4.2
[ebuild  N    ] kde-base/ksmiletris-3.4.2
[ebuild  N    ] kde-base/ktuberling-3.4.2
[ebuild  N    ] kde-base/katomic-3.4.2
[ebuild  N    ] kde-base/kolf-3.4.2
[ebuild  N    ] kde-base/kreversi-3.4.2
[ebuild  N    ] kde-base/libksirtet-3.4.2
[ebuild  N    ] kde-base/kfouleggs-3.4.2
[ebuild  N    ] kde-base/kspaceduel-3.4.2
[ebuild  N    ] kde-base/klickety-3.4.2
[ebuild  N    ] kde-base/kdegames-meta-3.4.2

You can also just pick out the games you want.
_________________
#gentoo-kde on freenode
Back to top
View user's profile Send private message
aminalshmu
Tux's lil' helper
Tux's lil' helper


Joined: 13 Sep 2004
Posts: 78
Location: Tallahassee, Florida, USA

PostPosted: Tue Aug 02, 2005 1:35 am    Post subject: Reply with quote

ah, thank you, i think i have some of the other non-split KDE builds confused as well... time to sort this all out. thanks again.
Back to top
View user's profile Send private message
Maedhros
Bodhisattva
Bodhisattva


Joined: 14 Apr 2004
Posts: 5511
Location: Durham, UK

PostPosted: Mon Sep 05, 2005 8:42 am    Post subject: Reply with quote

Moved from Desktop Environments to Duplicate Threads in favour of Blockers in KDE 3.4.1
_________________
No-one's more important than the earthworm.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Duplicate Threads All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum